Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 680272 - x11-misc/sisctrl-0.0.20051202 - checking for libXv.so or libXv.a location... not found in /usr/lib
Summary: x11-misc/sisctrl-0.0.20051202 - checking for libXv.so or libXv.a location... ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2019-03-13 20:21 UTC by Toralf Förster
Modified: 2021-03-16 22:39 UTC (History)
0 users

See Also:
Package list:
x11-misc/sisctrl-0.0.20051202-r1
Runtime testing required: ---
nattka: sanity-check+


Attachments
emerge-info.txt (emerge-info.txt,16.61 KB, text/plain)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details
emerge-history.txt (emerge-history.txt,160.02 KB, text/plain)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details
environment (environment,84.76 KB, text/plain)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details
etc.portage.tbz2 (etc.portage.tbz2,11.69 KB, application/x-bzip)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details
logs.tbz2 (logs.tbz2,7.12 KB, application/x-bzip)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details
temp.tbz2 (temp.tbz2,25.60 KB, application/x-bzip)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details
x11-misc:sisctrl-0.0.20051202:20190313-193222.log (x11-misc:sisctrl-0.0.20051202:20190313-193222.log,40.82 KB, text/plain)
2019-03-13 20:21 UTC, Toralf Förster
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-03-13 20:21:09 UTC
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -lm  -Wl,-O1 -Wl,--as-needed -o sisctrl  sisctrl-sisctrl.o sisctrl-sisctrl_conf.o sisctrl-sisctrl_gui.o sisctrl-sisctrlext.o sisctrl-sisctrl_stray.o sisctrl-eggtrayicon.o -lSM -lICE -lX11 -lXext -L/usr/lib64  -lXxf86vm -lXrandr -lXinerama  -lglib-2.0  -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype  
sisctrl-sisctrl.o: In function `sd_readulong':
sisctrl.c:(.text+0x9aa): undefined reference to `XvGetPortAttribute'
sisctrl-sisctrl.o: In function `UnlockSiSDirect':
sisctrl.c:(.text+0xb10): undefined reference to `XvSetPortAttribute'
sisctrl-sisctrl.o: In function `dotvposscale':

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-desktop-gnome_20190310-101854

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
  [2]   ruby25 (with Rubygems)
  [3]   ruby26 (with Rubygems)
Available Rust versions:
  [1]   rust-bin-1.32.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.10.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO x11-misc/sisctrl
[ebuild  N    ] x11-misc/sisctrl-0.0.20051202
Comment 1 Toralf Förster gentoo-dev 2019-03-13 20:21:11 UTC
Created attachment 569050 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-03-13 20:21:14 UTC
Created attachment 569052 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-03-13 20:21:17 UTC
Created attachment 569054 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-03-13 20:21:20 UTC
Created attachment 569056 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-03-13 20:21:23 UTC
Created attachment 569058 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-03-13 20:21:26 UTC
Created attachment 569060 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2019-03-13 20:21:28 UTC
Created attachment 569062 [details]
x11-misc:sisctrl-0.0.20051202:20190313-193222.log
Comment 8 Larry the Git Cow gentoo-dev 2019-03-14 10:18:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=550b51e97fdf516c4fe1a212f4ff3345993e1faf

commit 550b51e97fdf516c4fe1a212f4ff3345993e1faf
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2019-03-14 10:17:28 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2019-03-14 10:18:00 +0000

    x11-misc/sisctrl: Configure for correct libdir
    
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Fixes: https://bugs.gentoo.org/680272
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 x11-misc/sisctrl/sisctrl-0.0.20051202-r1.ebuild | 36 +++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
Comment 9 Andreas Sturmlechner gentoo-dev 2021-03-15 18:14:29 UTC
What a bug to leave unchecked in arch for 2 years...
Comment 10 Sam James archtester gentoo-dev Security 2021-03-16 22:32:49 UTC
x86 done

all arches done
Comment 11 Larry the Git Cow gentoo-dev 2021-03-16 22:39:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd0ca80915c149bf76fbf2956e013461dcc9a2a6

commit dd0ca80915c149bf76fbf2956e013461dcc9a2a6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-16 22:39:09 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-16 22:39:20 +0000

    x11-misc/sisctrl: drop 0.0.20051202
    
    Bug: https://bugs.gentoo.org/680272
    Signed-off-by: Sam James <sam@gentoo.org>

 x11-misc/sisctrl/sisctrl-0.0.20051202.ebuild | 31 ----------------------------
 1 file changed, 31 deletions(-)